import http from "./http.js"
module.exports = {
	loadEntities: loadEntities,
	saveEntities: saveEntities,
	createDb: createDb,
	loadDb: loadDb,
	generateCode: generateCode,
	getComponents: getComponents,
	saveComponents: saveComponents,
	getDataSources: getDataSources,
	getTemplates:getTemplates
}

let url = 'http://localhost:8099';
let headers = {};

function loadEntities(domainId, success, fail, complete) {
	http.get(url + '/entitys/batch-with-fields/' + domainId, headers, success, fail, complete);
}

function saveEntities(domainId, entities, success, fail, complete) {
	http.post(url + '/entitys/batch-with-fields/' + domainId, entities, headers, success, fail, complete);
}

function createDb(sourceId, entities, success, fail, complete) {
	http.post(url + '/code-factory/sources/' + sourceId, entities, headers, success, fail, complete);
}

function loadDb(sourceId, success, fail, complete) {
	http.get(url + '/code-factory/sources/' + sourceId, headers, success, fail, complete);
}

function generateCode(componentId, success, fail, complete) {
	http.post(url + '/code-factory/generate/' + componentId, null, headers, success, fail, complete);
}

function getComponents(success, fail, complete) {
	http.get(url + '/components/batch/?ids=', headers, success, fail, complete);
}

function saveComponents(datas, success, fail, complete) {
	http.put(url + '/components/batch/', datas, headers, success, fail, complete);
}

function getDataSources(success, fail, complete) {
	http.get(url + '/db-sources/batch/?ids=', headers, success, fail, complete);
}

function getTemplates(success, fail, complete) {
	http.get(url + '/templates/batch/?ids=', headers, success, fail, complete);
}

