module.exports = {
	get: get,
	post: post,
	del: del,
	put: put,
}

function get(url, header, successFunc, fail, complate) {
	var requestTask = uni.request({
		url: url,
		header: header,
		dataType: 'json',
		sslVerify: false,
		success(res) {
			if (successFunc != null) {
				successFunc(res);
			}
		},
		fail: fail,
		complete: complate
	});
	return requestTask;
}

function post(url, data, header, success, fail, complate) {
	var requestTask = uni.request({
		url: url,
		method: 'POST',
		header: header,
		data: data,
		dataType: 'json',
		sslVerify: false,
		success: success,
		fail: fail,
		complete: complate
	});
	return requestTask;
}

function put(url, data, header, success, fail, complate) {
	var requestTask = uni.request({
		url: url,
		method: 'PUT',
		header: header,
		data: data,
		dataType: 'json',
		sslVerify: false,
		success: success,
		fail: fail,
		complete: complate
	});
	return requestTask;
}

function del(url, header, success, fail, complate) {
	var requestTask = uni.request({
		url: url,
		method: 'PUT',
		header: header,
		dataType: 'json',
		sslVerify: false,
		success: success,
		fail: fail,
		complete: complate
	});
	return requestTask;
}
