module.exports = {
	forName: forName,
	copyWithoutName: copyWithoutName,
}
import tools from './tools.js'

/**
 * 常用的数据列，为了通过名称快捷得到所有属性
 */
const commonColumns = [{
		name: 'id',
		type: 'bigint',
		info: '唯一标识',
		tips: '唯一标识',
		pk: true,
	},
	{
		name: 'name',
		type: 'varchar',
		info: '名称',
		tips: '名称',
		pk: false,
	},
	{
		name: 'info',
		type: 'varchar',
		info: '信息',
		tips: '信息',
		pk: false,
	},
	{
		name: 'description',
		type: 'varchar',
		info: '描述',
		tips: '描述',
		pk: false,
	},
	{
		name: 'comment',
		type: 'varchar',
		info: '描述',
		tips: '描述',
		pk: false,
	},
	{
		name: 'type',
		type: 'int',
		info: '类型',
		tips: '类型',
		pk: false,
	},
	{
		name: 'date',
		type: 'date',
		info: '日期',
		tips: '日期',
		pk: false,
	},
	{
		name: 'time',
		type: 'time',
		info: '时间',
		tips: '时间',
		pk: false,
	},
	{
		name: 'age',
		type: 'int',
		info: '年龄',
		tips: '年龄',
		pk: false,
	},
];

/**
 * 通过名称取得常用列
 * 
 * @param {Object} name
 */
function forName(name) {
	for (const column of commonColumns) {
		let cname = column.name;
		if (name.toLowerCase().endsWith(cname)) {
			return column;
		}
	}
	return {
		pk: false
	};
}

/**
 * 对象浅表复制
 * 
 * @param {Object} origin 源数据
 * @param {Object} target 目标数据
 */
function copyWithoutName(origin, target) {
	for (var key in origin) {
		if (key != 'name') {
			target[key] = origin[key];
		}
	}
}
