# thirdlucky-console-view

## ConsoleView 输出控制台
> **组件名：thirdlucky-console-view**
> 代码块： `uConsoleView`
> 作用： 可以输出日志的控制台

### 安装方式

本组件符合[easycom](https://uniapp.dcloud.io/collocation/pages?id=easycom)规范，`HBuilderX 2.5.5`起，只需将本组件导入项目，在页面`template`中即可直接使用，无需在页面中`import`和注册`components`。
如需通过`npm`方式使用`uni-ui`组件，另行文档：[https://ext.dcloud.net.cn/plugin?id=55](https://ext.dcloud.net.cn/plugin?id=55)

### 基本用法

```html
<template>
	<view>
		<thirdlucky-console-view class="console-view" ref="consoleView" disabled needTime @changed="onConsoleChanged"></thirdlucky-console-view>
	</view>
</template>

```

```javascript

<script>
	export default {
		methods: {
			onConsoleChanged(e){
				console.log(e.action,e.text);
			},
			appendText(text) {
				this.$refs.consoleView.appendText(text);
			},
		}
	};
</script>

```

## API

### DataTable Props

| 属性名| 类型	|可选值	| 默认值| 说明							|示例																							|
| :-:	| :-:	|:-:	|:-:	| :-:							|:-:																							|
|disabled|Boolean|可选|false|是否禁用|true|
|needTime|Boolean|可选|false|是否打印时间|true|

#### Localdata Options

### DataTable Events

| 事件名	| 事件说明	| 返回参数																	|
| :-:		| :-:		| :-:																		|
| @changed	| 文本		| e.action:行为（append-添加,clear-清除），text:所有文本，append:新增的数据	|

### DataTable methods

| 方法名	| 事件说明	| 参数																	|
| :-:		| :-:		| :-:																		|
| appendText	| 输出文本		| text:要添加的文本	|
| clearText	| 清空控制台		| 	|
